Bug 179214 - OpenSceneGraph demos missing demo files
OpenSceneGraph demos missing demo files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: OpenSceneGraph (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-28 05:23 EST by Michael Möllney
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-28 10:01:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Möllney 2006-01-28 05:23:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Running some examples are missing demo files:

osganimate: could not find file "cessna.osg"
osgforest: Warning: could not find file "Images/tree0.rgba"
osgtexture3D: Warning: could not find file "Images/reflect.rgb"
             Warning: could not find file "Images/tank.rgb"

and many more.

This should be part of the examples package

Version-Release number of selected component (if applicable):
OpenSceneGraph-examples-0.9.9-4.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Install the examples
2. start osgtexture3D

same for other examples


Actual Results:  Windows shows up, but the texture is missing.

Expected Results:  I guess you should see some texuture.

Additional info:
Comment 1 Ralf Corsepius 2006-01-28 10:01:26 EST
OSG ships the demo data sets in a separate zip file (OpenSceneGraph-Data) under
a license which probably doesn't comply to Fedora licensing guidelines:
...
If not otherwise specified all files in the OpenSceneGraph-Data are provided free
for non commericial usage. Comericial users may use the data for testing and
development purposes, but may not distribute these models with commericial products.
...

Therefore, there isn't much I can do about this, except to remove those examples
which access files from OSG-Data from the *-examples rpm.
Comment 2 Michael Möllney 2006-01-29 06:39:55 EST
I think it would be a better idea to make a note in the package summary that you
need additional data that have an incompatible license and were to get the
OpenSceneGraph-Data file instead of removing the examples.

Note You need to log in before you can comment on or make changes to this bug.